Agent Governance Protocol
API ReferenceRegistry APISkills

Get skill manifest

GET
/agp/skills/{skillId}

Authorization

AuthorizationBearer <token>

In: header

Scope: agp.registry.read, agp.registry.write

Path Parameters

skillId*string

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/agp/skills/string"
{  "type": "SkillManifest",  "skill_id": "string",  "name": "string",  "version": "string",  "publisher": "string",  "supported_protocols": [    "AGP"  ],  "skill_class": "protocol_adapter",  "risk_class": "low",  "instruction_hash": "string",  "required_tools": [    "string"  ],  "required_approvals": [    "string"  ],  "attestation_level": "unverified",  "created_at": "2019-08-24T14:15:22Z",  "signature": {    "alg": "string",    "kid": "string",    "issuer": "string",    "issued_at": "2019-08-24T14:15:22Z",    "payload_hash": "string",    "value": "string"  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}